Package serp.bytecode.lowlevel

# Interface ConstantEntry

All Known Implementing Classes:
  `ClassEntry`, `DoubleEntry`, `FloatEntry`, `IntEntry`, `LongEntry`, `StringEntry`, `UTF8Entry`

public interface ConstantEntry
Interface implemented by entries representing constant values. Allows generic access the constant value regardless of type.

Author:
  Abe White

## Method Summary

Modifier and Type
Method
Description
`Object`
`getConstant()`
Return the value of the constant held by this entry.
`void`
`setConstant(Object value)`
Set the value of the constant held by this entry.

## Method Details

### getConstant

Object getConstant()
Return the value of the constant held by this entry.

### setConstant

void setConstant(Object value)
Set the value of the constant held by this entry.